package cn.iocoder.yudao.module.system.enums.user;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 用户类型的枚举值
 *
 * @author 张陶
 */
@Getter
@AllArgsConstructor
public enum UserTypeEnum implements IntArrayValuable {

    /** 管理员 */
    ADMIN(0),
    /** 老师 */
    TEACHER(1),
    /** 学生 */
    STUDENT(2);

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(UserTypeEnum::getUserType).toArray();

    /**
     * 用户类型
     */
    private final Integer userType;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
